Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3.statements
Class SelectStatement.RawStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.SelectStatement.RawStatement

Enclosing class:
  SelectStatement

    public static class SelectStatement.RawStatement

extends CFStatement

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`SelectStatement.RawStatement(CFName cfName, SelectStatement.Parameters parameters, java.util.List<Selector> selectClause, java.util.List<Relation> whereClause)`

Method Summary
`ParsedStatement.Prepared` | `prepare()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectStatement.RawStatement

    public SelectStatement.RawStatement(CFName cfName,
                                        SelectStatement.Parameters parameters,
                                        java.util.List<Selector> selectClause,
                                        java.util.List<Relation> whereClause)

Method Detail

### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

  Specified by:
    `prepare` in class `ParsedStatement`
  Throws:
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation